
function [value isterminal direction] = guard(t, q);
% function [value isterminal direction] = guard(t, q);
% guard         Event function for Matlab ode-solvers, but can also be used
% to check if a state is on the guard or not.
%
% + It returns any nonzero number if you are not on the guard. 
% + It returns -1 if you did not satisfy the holonomic trajectory.

global settings robot

direction = 0; % Disregard values of this function at previous timesteps
isterminal = 1; % Always trigger when Matlab decides values are 0.

% Check for invalid results
dim = length(q);
% if settings.stop_if_unstable
%     if norm(q(ceil(dim/2):end)) > settings.max_velocity
%         error('guard error: The velocities are too large.');
%     end
% 
%     if norm(q(1:ceil(dim/2))) > settings.max_angle
%         error('guard error: The angles are too large.');
%     end
% end

% Check holonomic trajectory
if istood
    ns = q(2);
elseif isthreed
    ns = q(3);
end

traj = robot.eqns(q, 't');
if traj < 0 & ns > 0
    value = robot.eqns(q, 'g');
else
    value = 1;
end