
function makefigs(soln, graph)

global robot settings wd

% Fit plots to screen
screenSize = get(0, 'ScreenSize');
width = screenSize(3);
height = screenSize(4);

% Parse input
t = [soln(:).x];
q = [soln(:).y];
dim = size(q,1);

% Assign names
names = {'stance' 'nonstance' 'pitch' 'stance vel' 'nonstance vel' 'pitch vel'};

% Change the default color order
colors = [1 0 0 ; 0 0 .75 ; 0 .5 0 ; .75 0 .75];
set(0, 'DefaultAxesColorOrder', colors);

% Graphing options    
if strcmp(graph, 'd') % Plot dynamics

    angles = 1:floor(dim/2);
    vels = floor(dim/2)+1:dim;

    % Phase portraits
    figure(1); set(1, 'Position', [width/2 height/2-50 width/2 height/2])
    hold off;
    for i=1:length(angles)
        plot(q(angles(i), :), q(vels(i), :), 'Color', colors(i,:)); hold on
    end
    hold off;
    legend(strcat(names(angles)))

    % Angles over time
    figure(2); set(2, 'Position', [0 height/2-50 width/2 height/2])
    subplot(2,1,1)
        plot(t, q(angles,:))
    % Velocities over time
    subplot(2,1,2)
        plot(t, q(vels, :))

elseif strcmp(graph, 'e') % Plot error
    figure(7); set(7, 'Position', [0 0 width/2 height/2.4])
        plot(t, x, 'r')
        title('Error between desired and actual phidot')

elseif strcmp(graph, 'u') % Plot control law        
    figure(8); set(8, 'Position', [width/2 0 width/2 height/2.4])
     % Control input, via feval
        for j=1:length(t)
            uCheck(j) = robot.eqns(x(j,:), 'u');
        end
        plot(t, uCheck, 'r')
%             plot(x(:,1), x(:,2), 'r')
        title('Control input over time')
end
