
clear global
global model2D model3D wd robot

wd = pwd;
paths = {'2D' '3D'};

% Scan 2D models
cd(paths{1});
files = dir; files([1 2]) = []; % Kill current and parent directory entries
num2D = size(files,1); % Grab the num of models
fprintf('\nChecking 2D models ...')
fprintf(' %i 2D model(s).', num2D)

model2D = repmat(struct('dir', 0, ...
                 'description', 'No description available.', ...
                 'eqns', [], ...
                 'params', []), [num2D 1]); % Create 2D array of structs

for i=1:size(files, 1)
    cd(wd);
    if files(i).isdir == 1
        model2D(i).dir = strcat(paths{1},'/',files(i).name);
        cd(model2D(i).dir); 
        model2D(i).eqns = @eqns;
        model2D(i).description = importdata('description.txt');
        model2D(i).params = params;
    end
end

cd(wd);

% Scan 3D models
cd(paths{2});
files = dir; files([1 2]) = []; % Kill current and parent directory entries
num3D = size(files,1); % Grab the num of models
fprintf('\nChecking 3D models ...')
fprintf(' %i 3D model(s).\n', num2D)

model3D = repmat(struct('dir', 0, ...
                 'description', 'No description available.', ...
                 'eqns', [], ...
                 'params', []), [num3D 1]); % Creates 3D array of structs

for i=1:size(files, 1)
    cd(wd);
    if files(i).isdir == 1
        model3D(i).dir = strcat(paths{2},'/',files(i).name);
        cd(model3D(i).dir); 
        model3D(i).eqns = @eqns;
        model3D(i).description = importdata('description.txt');
        model3D(i).params = params;
    end
end

cd(wd);

% Choose the robot
choice = -1;
while choice ~= 0 & choice ~= 1
    fprintf('\n2D or 3D?\n  [0] 2D\n  [1] 3D\n')
    choice = input('Choose: ');
end

num = [];
if choice == 0
    while size(num,1) == 0
        for i=1:size(model2D, 1)
            fprintf('  [%i] %s\n', i, model2D(i).description{:})
        end
        num = input('Choose: ');
    end
    robot = model2D(num)
elseif choice == 1
    while size(num,1) == 0
        for i=1:size(model3D, 1)
            fprintf('  [%i] %s\n', i, model2D(i).description{:})
        end
        num = input('Choose: ');
    end
    robot = model3D(num)
end

robot.fp = robot.params.fp;


clear paths num2D num3D model i files ans num choice
    
