
global settings
fprintf('\nSetting model parameters ...\n')
settings.debug = 1;
settings.max_velocity = 100;
settings.max_angle = 2*pi;
settings.integration_time = 10;
settings.integrator = @ode113;
settings.plot_as_you_integrate = 1;

if settings.plot_as_you_integrate
    settings.ode_options = odeset( ...
        'AbsTol', 1.0000e-021, ...
        'Events', @guard, ...
    ...    'InitialStep', 1E-10, ...
    ...    'MaxStep', 1E-10, ...
        'NormControl', 'on', ...
        'OutputFcn', @odeplot, ... % You'll want to change this to your own fcn
        'RelTol', 2.2205e-014, ...
        'Stats', 'off');
else
    settings.ode_options = odeset( ...
        'AbsTol', 1.0000e-021, ...
        'Events', @guard, ...
    ...    'InitialStep', 1E-10, ...
    ...    'MaxStep', 1E-10, ...
        'NormControl', 'on', ...
        'RelTol', 2.2205e-014, ...
        'Stats', 'off');
end


% function [modeldir wd] = set3(option);
% 
% global M Mp g l R K slope w eqnhandle dim modeldir invalidResults Kp Kd c epsilon
% 
% % Some notes for when I make the code OOP
% % model
% %  - name
% %  - variables
% %  - initial conditions
% % pre-processing:
% %  1) setting the current model
% %  2) 
% % generating output:
% %  1) searching for stability
% %  2) walking
% % processing output:
% %  2) plotting
% %  3) animating
% %  4) saving/reusing output
% 
% eqnhandle = [];
% modeldir = [];
% 
% if nargin == 0
%     option = [];
% end
% 
% while length(option) == 0
%     fprintf('Choose a model:\n\n');
%     
%     fprintf('Point foot, midleg mass, no hip, controlled with original mu:\n');
%     fprintf('   [1] Roll angle, conserved quantity control\n');
%     fprintf('   [2] Smooth asymptotic control to conserved quantity surface\n');
%     fprintf('   [3] Nonsmooth finite-time control to conserved quantity surface\n');
%     fprintf('   [4] Smooth asymptotic control to conserved quantity surface, cleaner u\n');
%     
%     fprintf('Point foot, midleg mass, no hip, controlled with new mu:\n')';
%     fprintf('   [5] Roll angle, conserved quantity control\n');
%     
%     fprintf('Point foot, midleg mass, passive (not working):\n');
%     fprintf('   [6] Hipped\n');
%     fprintf('   [7] No hip\n');
%     
% 
%     fprintf('\n');
%     option = input('Make a choice: ');
% end
% 
% if option == 1
%     dir = 'pointfoot-midlegmass/controlled/nohip';
% elseif option == 2
%     dir = 'pointfoot-midlegmass/controlled2/nohip';
% elseif option == 3
%     dir = 'pointfoot-midlegmass/controlled3/nohip';
% elseif option == 4
%     dir = 'pointfoot-midlegmass/controlled4/nohip';
% elseif option == 5
%     dir = 'pointfoot-midlegmass/controlled5/nohip';
% elseif option == 6
%     dir = 'pointfoot-midlegmass/passive/hip';
% elseif option == 7
%     dir = 'pointfoot-midlegmass/passive/nohip';
% else
%     fprintf('Choose one of the options listed.\n');
% end
% 
% % Parse the input
% wd = feval('pwd');
% modeldir = strcat(wd, '/', dir, '/')
% 
% % Get equation handles and model-dependent parameters
% cd(modeldir);
% eqnhandle = @eqns3;
% cd(wd);
